Package org.kapott.hbci.manager

# Class HBCIUtilsInternal

java.lang.Object
org.kapott.hbci.manager.HBCIUtilsInternal

public class HBCIUtilsInternal extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static Map<String,BankInfo>`
`banks`
`static Properties`
`blzs`
`static Hashtable<ThreadGroup,HBCICallback>`
`callbacks`
`static Hashtable<ThreadGroup,Locale>`
`locales`
`static Hashtable<ThreadGroup,ResourceBundle>`
`locMsgs`

## Constructor Summary

Constructors
Constructor
Description
`HBCIUtilsInternal()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`ba2string(byte[] ba)`
`static String`
`bigDecimal2String(BigDecimal value)`
`static String`
`getAlgForBLZ(String blz)`
Liefert das Pruefziffern-Verfahren fuer diese Bank.
`static String`
`getBLZData(String blz)`
Deprecated.
Bitte `HBCIUtils.getBankInfo(String)` verwenden.
`static HBCICallback`
`getCallback()`
`static String`
`getLocMsg(String key)`
`static String`
`getLocMsg(String key, Object o)`
`static String`
`getLocMsg(String key, Object[] o)`
`static String[]`
`getNextRelativePathElem(String currentPath, String targetPath)`
`static String`
`getNthToken(String st, int idx)`
Deprecated.
Bitte `HBCIUtils.getBankInfo(String)` verwenden.
`static int`
`getPosiOfNextDelimiter(String st, int posi)`
`static boolean`
`ignoreError(HBCIPassport passport, String paramName, String msg)`
`static long`
`string2Long(String st, long factor)`
`static String`
`stripLeadingZeroes(String st)`
`static String`
`withCounter(String st, int idx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### blzs

public static Properties blzs

### banks

public static Map<String,BankInfo> banks

### callbacks

public static Hashtable<ThreadGroup,HBCICallback> callbacks

### locMsgs

public static Hashtable<ThreadGroup,ResourceBundle> locMsgs

### locales

public static Hashtable<ThreadGroup,Locale> locales

## Constructor Details

### HBCIUtilsInternal

public HBCIUtilsInternal()

## Method Details

### bigDecimal2String

public static String bigDecimal2String(BigDecimal value)

### getBLZData

public static String getBLZData(String blz)
Deprecated.
Bitte `HBCIUtils.getBankInfo(String)` verwenden.
Liefert die Zeile aus der blz.properties mit der angegebenen BLZ.

Parameters:
  `blz` - die BLZ.
Returns:
  die Zeile aus der blz.properties

### getNthToken

public static String getNthToken(String st, int idx)
Deprecated.
Bitte `HBCIUtils.getBankInfo(String)` verwenden.
Liefert den n-ten Datensatz (beginnend bei 1) aus der Zeile.

Parameters:
  `st` - die Zeile.
  `idx` - der Index, beginnend bei 1.
Returns:
  der Wert oder Leerstring.

### getAlgForBLZ

public static String getAlgForBLZ(String blz)
Liefert das Pruefziffern-Verfahren fuer diese Bank.

Parameters:
  `blz` - die BLZ.
Returns:
  das Pruefziffern-Verfahren fuer diese Bank.

### getCallback

public static HBCICallback getCallback()

### getLocMsg

public static String getLocMsg(String key)

### getLocMsg

public static String getLocMsg(String key, Object o)

### getLocMsg

public static String getLocMsg(String key, Object[] o)

### ignoreError

public static boolean ignoreError(HBCIPassport passport, String paramName, String msg)

### string2Long

public static long string2Long(String st, long factor)

### withCounter

public static String withCounter(String st, int idx)

### getNextRelativePathElem

public static String[] getNextRelativePathElem(String currentPath, String targetPath)

### getPosiOfNextDelimiter

public static int getPosiOfNextDelimiter(String st, int posi)

### ba2string

public static String ba2string(byte[] ba)

### stripLeadingZeroes

public static String stripLeadingZeroes(String st)